Package org.springframework.batch.item.database.support

# Class DerbyPagingQueryProvider

java.lang.Object
org.springframework.batch.item.database.support.AbstractSqlPagingQueryProvider
org.springframework.batch.item.database.support.SqlWindowingPagingQueryProvider
org.springframework.batch.item.database.support.DerbyPagingQueryProvider

All Implemented Interfaces:
  `PagingQueryProvider`

public class DerbyPagingQueryProvider extends SqlWindowingPagingQueryProvider
Derby implementation of a `PagingQueryProvider` using standard SQL:2003 windowing functions. These features are supported starting with Apache Derby version 10.4.1.3. As the OVER() function does not support the ORDER BY clause a sub query is instead used to order the results before the ROW_NUM restriction is applied

Since:
  2.0
Author:
  Thomas Risberg, David Thexton, Michael Minella

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DerbyPagingQueryProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getOrderedQueryAlias()`
  `protected String`
  `getOverClause()`
  `protected String`
  `getOverSubstituteClauseEnd()`
  `protected String`
  `getOverSubstituteClauseStart()`
  `void`
  `init(DataSource dataSource)`
  Check mandatory properties.

  ### Methods inherited from class org.springframework.batch.item.database.support.SqlWindowingPagingQueryProvider

  `extractTableAlias, generateFirstPageQuery, generateJumpToItemQuery, generateRemainingPagesQuery, getSubQueryAlias`

  ### Methods inherited from class org.springframework.batch.item.database.support.AbstractSqlPagingQueryProvider

  `getFromClause, getGroupClause, getParameterCount, getSelectClause, getSortKeyPlaceHolder, getSortKeys, getSortKeysWithoutAliases, getWhereClause, isUsingNamedParameters, setFromClause, setGroupClause, setSelectClause, setSortKeys, setWhereClause`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DerbyPagingQueryProvider

    public DerbyPagingQueryProvider()

- ## Method Details

  - ### init

    public void init(DataSource dataSource) throws Exception
    Description copied from class: `AbstractSqlPagingQueryProvider`
    Check mandatory properties.
    Specified by:
      `init` in interface `PagingQueryProvider`
    Overrides:
      `init` in class `AbstractSqlPagingQueryProvider`
    Parameters:
      `dataSource` - DataSource to use for any initialization
    Throws:
      `Exception` - for errors when initializing
    See Also:
      - `InitializingBean.afterPropertiesSet()`

  - ### getOrderedQueryAlias

    protected String getOrderedQueryAlias()
    Overrides:
      `getOrderedQueryAlias` in class `SqlWindowingPagingQueryProvider`

  - ### getOverClause

    protected String getOverClause()
    Overrides:
      `getOverClause` in class `SqlWindowingPagingQueryProvider`

  - ### getOverSubstituteClauseStart

    protected String getOverSubstituteClauseStart()
    Overrides:
      `getOverSubstituteClauseStart` in class `SqlWindowingPagingQueryProvider`

  - ### getOverSubstituteClauseEnd

    protected String getOverSubstituteClauseEnd()
    Overrides:
      `getOverSubstituteClauseEnd` in class `SqlWindowingPagingQueryProvider`